#include <avr/io.h>

#include "main.h"

//    SPI
// length -   
void SPI_put_data(unsigned int data, unsigned char length)
{
	for (unsigned char mask = (1 << (length - 1)); mask; mask >>= 1)
	{
		if (data & mask)
		{
			spi_do_hi();
		}
		else
		{
			spi_do_lo();
		}
		
		spi_clk_hi();
		spi_clk_lo();
	}
}